<!DOCTYPE html>
<html lang="en-GB">
<head>
  <meta charset="UTF-8" />
  <title>Accessibility Works</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="css/verdemoderna.css" title="default" />
  <meta name="theme-color" media="(prefers-color-scheme: light)" content="#FFFFFF" />
  <meta name="theme-color" media="(prefers-color-scheme: dark)" content="#000000" />

  <meta name="robots" content="noindex, nofollow" />
  <meta name="googlebot" content="noindex, nofollow" />
  <link rel="canonical" href="https://cstrobbe.gitlab.io/A11yWorks/" />
  <meta name="description" content="A website with notes and test files for accessibility, mostly web accessibility." />
</head>
<body id="home">
  <header id="header">
    <h1><span class="h1txt">Accessibility Works</span></h1>
  </header>

  <!--nav id="nav">
  </nav-->

  <main id="main">
    <p>A website with notes and test files for accessibility, mostly web accessibility. Aesthetics are optional here.</p>

    <h2><abbr>WCAG</abbr> 2.1 Success Criterion 4.1.1 (Parsing)</h2>
    <ul>
      <li><a href="wcagtests/html5/sc_4.1.1_syntax/index.html">Understanding <abbr>WCAG</abbr> 2.1 Success Criterion 4.1.1</a>:
        an explanation of the meaning of the success criterion and links to a number of test pages
        (last updated on 1 November 2022).
      </li>
      <li><a href="wcagtests/html5/sc_4.1.1_syntax/wcag-syntax-bookmarklet.html"><abbr>WCAG</abbr> Syntax Only Bookmarklet</a>: page with instructions for a bookmarklet (created in August 2022, updated on 1 November 2022).
      </li>
    </ul>

    <h2>Test Files for Various Success Criteria</h2>
    <ul>
      <li><a href="wcagtests/html5/HTML5_SummaryDetailsTest.html">Test for <code>details</code> and <code>summary</code> elements</a> (2012, updated July 2015).
      </li>
      <li><a href="wcagtests/html5/LabelBelowTextarea_ShowOnBottomBorder.html">Test for <code>label</code> below <code>textarea</code></a>
        in which <abbr>CSS</abbr> is used to display the label inside the textarea.
      </li>
      <li><a href="wcagtests/html5/head-link-rel/index.html">Tests for the <code>rel</code> attribute on <code>link</code> and <code>a</code> elements</a>
        (created in February 2020).
      </li>
      <li><a href="wcagtests/html5/textarea-label/index.html">Test page for <code>textarea</code> and <code>label</code></a>
        (created in July 2020).
      </li>
      <li><a href="wcagtests/html5/required-attribute/index.html">Test page for <code>required</code> and <code>aria-required</code></a>
        (created in May 2021).
      </li>
      <li><a href="wcagtests/html5/tool-test-cases/index.html">Tests for Automated Accessibility Checkers</a> (created in August 2022)
      </li>
      <li>
        <a href="wcagtests/html5/combined-select-lists/index.html">Tests for Combined Select Lists</a> (created in August 2022).
      </li>
      <li>Test files for <a href="https://www.w3.org/TR/2022/CR-WCAG22-20220906/#focus-not-obscured-minimum">success criterion 2.4.12 in the September 2022 Candidate Recommendation snapshop of <abbr>WCAG</abbr> 2.2</a>:
        <ul>
          <li><a href="wcagtests/html5/sc_2.4.12_focus-not-obscured/focus-not-obscured-1.html">Test 1 for Success Criterion 2.4.12</a></li>
          <li><a href="wcagtests/html5/sc_2.4.12_focus-not-obscured/focus-not-obscured-2.html">Test 2 for Success Criterion 2.4.12</a></li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/svg-in-label/index.html">Test for <abbr>SVG</abbr> images in labels</a> (November 2022).
      </li>
      <li>
        <a href="wcagtests/html5/tabindex/index.html">Test for <code>tabindex</code> attribute (Success Criterion 2.4.3 Focus Order)</a> (January 2023).
      </li>
      <li>
        <a href="wcagtests/html5/modal-dialog/index.html">Test Pages for Modal Dialogs</a> (January 2023).
      </li>
      <li><a href="wcagtests/html5/multilingual-pages/index.html">Tests for Multilingual Content</a> (February 2023).
      </li>
      <li><a href="wcagtests/html5/extended-descriptions/index.html">Test Pages for Extended Descriptions</a> (March 2023).
      </li>
      <li><a href="wcagtests/svg/svg-path-accessible-name/index.html">Test Pages for Path Elements in <abbr>SVG</abbr></a> (April 2023):
        <ul>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-label.html">Test Page for <code>aria-label</code> on Path Elements in <abbr>SVG</abbr></a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-labelledby.html">Test Page for <code>aria-labelledby</code> on Path Elements in <abbr>SVG</abbr></a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-labelledby-listitem.html">Test Page for <code>aria-labelledby</code> on Path Elements with Role <code>listitem</code> in <abbr>SVG</abbr></a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-label-aria-details-dl.html">Test Page for <code>aria-label</code> and <code>aria-details</code> on Path Elements in <abbr>SVG</abbr> (Description List)</a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-label-aria-details-ul.html">Test Page for <code>aria-label</code> and <code>aria-details</code> on Path Elements in <abbr>SVG</abbr> (Normal List)</a>:.</li>
        </ul>
      </li>
    </ul>

    <h2>Examples of Various Failures</h2>
    <ul>
      <li><a href="badexamples/required-fields-color/required-fields-red-german.html" hreflang="de" lang="de">Pflichtfelder sind rot markiert</a> (form in which required fields have a red label).
        <a href="badexamples/required-fields-color/required-fields-red-german-after.html" hreflang="de" lang="de">Pflichtfelder sind rot und mit Sternchen markiert</a> (improved version of the previous page).
      </li>
      <li><a href="badexamples/blinking-marquee/index.html">Blinking and Marquee</a>.
      </li>
    </ul>

    <h2>Other Tests</h2>
    <ul>
      <li><a href="wcagtests/html5/laco/index.html"><abbr title="Language Coverage">LACO</abbr> Buttons</a> (July 2023)</li>
      <li><a href="wcagtests/html5/date-time/index.html">Tests for Dates and Times</a> (July 2023)</li>
    </ul>
  </main>

  <footer id="footer">
    <p id="licence">
    <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
    <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="img/cc-licence-by-sa-88x31.png" />
    </a>
    <br />
    <a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a> by
    <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
    is licensed under a
    <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="sitemap.html">Site map</a>. <a href="accessibility-statement.html">Accessibility Statement</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
</body>
</html>
